summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2008-12-09 18:37:21 +0000
committerKarl Berry <karl@freefriends.org>2008-12-09 18:37:21 +0000
commit0ea54764c71176922c80dc7b7b371be550dca7ed (patch)
treeb78e46f2e49c3694be29fd1ee2ed635f05754807 /Master/tlpkg/bin
parent0ea10de1f23093bf6811f9fc7d6c72c13e7d8de7 (diff)
only use --owner/--group when making net containers, so backups can work with non-GNU tar; report from Stratos Paschos, 15 Nov 2008 04:01:12
git-svn-id: svn://tug.org/texlive/trunk@11567 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-containers5
-rwxr-xr-xMaster/tlpkg/bin/tl-update-tlnet6
2 files changed, 5 insertions, 6 deletions
diff --git a/Master/tlpkg/bin/tl-update-containers b/Master/tlpkg/bin/tl-update-containers
index 6a96f6e7b71..a7ae8e9c69c 100755
--- a/Master/tlpkg/bin/tl-update-containers
+++ b/Master/tlpkg/bin/tl-update-containers
@@ -158,9 +158,8 @@ sub main
} else {
# This can happen when packages get renamed or files get
# shuffled from one package to another.
- tlwarn("The revision of $pkg in texlive.tlpdb ",
- "($newrev) is OLDER than the one in ",
- "$opt_location/tlpkg/texlive.tlpdb ($oldrev)\n");
+ tlwarn("$0: $pkg in source tree is OLDER ($newrev) than in ",
+ "$opt_location/tlpkg/texlive.tlpdb ($oldrev); continuing.\n");
push @todopacks, $pkg;
}
}
diff --git a/Master/tlpkg/bin/tl-update-tlnet b/Master/tlpkg/bin/tl-update-tlnet
index 9b90328faf6..78d4fcc442d 100755
--- a/Master/tlpkg/bin/tl-update-tlnet
+++ b/Master/tlpkg/bin/tl-update-tlnet
@@ -14,7 +14,7 @@ yyyy=2008
chicken=false
critical=
recreate=
-testinstall=true
+do_testinstall=true
verbose=
@@ -23,7 +23,7 @@ while test $# -gt 0; do
--critical) critical=--all;;
--dry-run|-n) chicken=true;;
--master) shift; Master=$1;;
- --no-testinstall|-N) testinstall=false;;
+ --no-testinstall|-N) do_testinstall=false;;
--recreate) recreate=--recreate;;
--testlocation) shift; tltrybase=$1;;
-v|-vv|-vvv) verbose=$1;;
@@ -79,7 +79,7 @@ $Master/tlpkg/bin/tl-update-install-pkg -o $tltry
END_COW
# if not doing the test installation, never push anything out.
-$testinstall || exit 0
+$do_testinstall || exit 0
#
# Now we have an updated tlweb in $tltry where only the changed files